Package org.pentaho.reporting.libraries.resourceloader.loader.resource

# Class ClassloaderResourceData

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.loader.AbstractResourceData
org.pentaho.reporting.libraries.resourceloader.loader.resource.ClassloaderResourceData

All Implemented Interfaces:
  `Serializable`, `ResourceData`

public class ClassloaderResourceData extends AbstractResourceData
Creation-Date: 05.04.2006, 15:15:36

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.ResourceData

`CONTENT_LENGTH, CONTENT_TYPE, FILENAME`

## Constructor Summary

Constructors
Constructor
Description
`ClassloaderResourceData(ResourceKey key)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAttribute(String key)`
`ResourceKey`
`getKey()`
`InputStream`
`getResourceAsStream(ResourceManager caller)`
`long`
`getVersion(ResourceManager caller)`

### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.loader.AbstractResourceData

`getLength, getResource, getResource`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassloaderResourceData

public ClassloaderResourceData(ResourceKey key)

## Method Details

### getResourceAsStream

public InputStream getResourceAsStream(ResourceManager caller) throws ResourceLoadingException

Throws:
  `ResourceLoadingException`

### getAttribute

public Object getAttribute(String key)

### getVersion

public long getVersion(ResourceManager caller) throws ResourceLoadingException

Throws:
  `ResourceLoadingException`

### getKey

public ResourceKey getKey()